Draft Move/es: Difference between revisions

From FreeCAD Documentation
m (template fr)
m (Languages spanish)
Line 3: Line 3:
====Descripción====
====Descripción====


Esta herramienta mueve los objetos seleccionados de un punto a otro. Si no se han seleccionado objetos, te invita a seleccionarlos.
La herramienta Mover mueve o copia los objetos seleccionados de un punto a otro. Si no se han seleccionado objetos, te invita a seleccionarlos.


[[Image:Draft_Move_example.jpg]]
[[Image:Draft_Move_example.jpg|400px]]


====Utilización====
====Utilización====


# Selecciona los objetos que deseas mover o copiar
* Seleccionando un punto en un área vacía de la vista 3D, o sobre un objeto existente.
# Presiona el botón {{KEY|[[Image:Draft Move.png|16px]] [[Draft Move/es|Mover]]}}, o presiona las teclas {{KEY|M}} y {{KEY|V}}
* Presionando {{KEY|CTRL}} se realizará un [[Draft_Snap/es|ajuste]] del punto a las ubicaciones de ajuste disponibles.
# Designa un primer punto en la vista 3D, o tipo en [[Draft_Coordinate/es|coordenadas]]
* Presionando {{KEY|SHIFT}} se realizará una [[Draft_Constrain/es|restricción]] vertical u horizontal en relación con el punto de inicio.
# Designa otro punto en la vista 3D, o escribe unas [[Draft_Coordinates/es|coordenadas]]
* Presionando {{KEY|ESC}} se cancela la operación.
* Introducir números por medio de la [[Draft_Coordinates/es|Inserción manual de una coordenada]].
* {{KEY|C}} conmuta el modo copia de activado a desactivado. Con copia activado, los objetos son copiados en lugar de moverse.
* Presionando {{KEY|ALT}} se realizará una copia, incluso si la casilla de verificación del modo Copiar está desactivada.
* Si se está presionando la tecla {{KEY|ALT}}, podrás hacer múltiples copias hasta que se libere la tecla {{KEY|ALT}}.


==Opciones==


* Press {{KEY|X}}, {{KEY|Y}} or {{KEY|Z}} after a point to constrain the next point on the given axis.
* To enter coordinates manually, simply enter the numbers, then press {{KEY|ENTER}} between each X, Y and Z component.
* Press {{KEY|R}} or click the checkbox to check/uncheck the {{KEY|'''Relative'''}} button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
* Press {{KEY|T}} or click the checkbox to check/uncheck the {{KEY|'''Continue'''}} button. If continue mode is on, the Move tool will restart after you finish or close it, allowing you to move or copy the objects another time without pressing the Move button again.
* Pressing {{KEY|ALT}} or {{KEY|C}} or clicking the {{KEY|'''Copy'''}} button will make a copy of the objects, instead of moving them. If you keep {{KEY|ALT}} pressed after clicking the second point, you will be able to place more copies, until you release the {{KEY|ALT}} key.
* Press {{KEY|CTRL}} while drawing to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
* Press {{KEY|SHIFT}} while drawing to [[Draft_Constrain|constrain]] your next point horizontally or vertically in relation to the last one.
* Press {{KEY|ESC}} or the {{KEY|'''Cancel'''}} button to abort the current command.

==Scripting==

The Move tool can by used in [[macros]] and from the python console by using the following function:

'''move (FreeCAD.Object or list, Vector, [copymode])''' : Moves the given object or the objects contained in the given
list in the direction and distance indicated by the given vector. If copymode is True, the actual objects are not moved,
but copies are created instead. Returns the object(s) (or their copies if copymode was True)

Example:

import FreeCAD,Draft
Draft.move(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,0))


{{languages/es | {{en|Draft Move}} {{fr|Draft Move/fr}} {{it|Draft Move/it}} {{se|Draft Move/se}} }}
{{languages/es | {{en|Draft Move}} {{fr|Draft Move/fr}} {{it|Draft Move/it}} {{se|Draft Move/se}} }}

Revision as of 01:04, 27 August 2012

Draft_Move

Ubicación en el Menú
Croquis -> Mover
Entornos de trabajo
Croquis
Atajo de teclado por defecto
M V
Introducido en versión
-
Ver también
Ninguno

Descripción

La herramienta Mover mueve o copia los objetos seleccionados de un punto a otro. Si no se han seleccionado objetos, te invita a seleccionarlos.

Utilización

  1. Selecciona los objetos que deseas mover o copiar
  2. Presiona el botón Mover, o presiona las teclas M y V
  3. Designa un primer punto en la vista 3D, o tipo en coordenadas
  4. Designa otro punto en la vista 3D, o escribe unas coordenadas

Opciones

  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Move tool will restart after you finish or close it, allowing you to move or copy the objects another time without pressing the Move button again.
  • Pressing ALT or C or clicking the Copy button will make a copy of the objects, instead of moving them. If you keep ALT pressed after clicking the second point, you will be able to place more copies, until you release the ALT key.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your next point horizontally or vertically in relation to the last one.
  • Press ESC or the Cancel button to abort the current command.

Scripting

The Move tool can by used in macros and from the python console by using the following function:

move (FreeCAD.Object or list, Vector, [copymode]) : Moves the given object or the objects contained in the given 
list in the direction and distance indicated by the given vector. If copymode is True, the actual objects are not moved, 
but copies are created instead. Returns the object(s) (or their copies if copymode was True)

Example:

import FreeCAD,Draft
Draft.move(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,0))
Traducciones disponibles: Template:Se